Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model
Interface SWRLNames

All Superinterfaces:
  OWLNames

    public interface SWRLNames

extends OWLNames

Defines the names of the SWRL system ontology classes and properties. This corresponds to the Model interface in general Protege, and the OWLNames interface in the OWL Plugin.

Author:
  Martin O'Connor , Holger Knublauch

Nested Class Summary
`static interface` | `SWRLNames.Annotations`
`static interface` | `SWRLNames.Cls`
`static interface` | `SWRLNames.CoreBuiltIns`
`static interface` | `SWRLNames.Slot`

Nested classes/interfaces inherited from interface edu.stanford.smi.protegex.owl.model.OWLNames
`OWLNames.ClsID`

Field Summary
`static String` | `DEFAULT_RULE_ENGINE`
`static String` | `EXCLUDE_STANDARD_IMPORTS`
`static String` | `SQWRL_IMPORT`
`static String` | `SQWRL_NAMESPACE`
`static String` | `SQWRL_PREFIX`
`static String` | `SWRL_ALT_IMPORT`
`static String` | `SWRL_IMPORT`
`static String` | `SWRL_NAMESPACE`
`static String` | `SWRL_PREFIX`
`static String` | `SWRLA_IMPORT`
`static String` | `SWRLA_NAMESPACE`
`static String` | `SWRLA_PREFIX`
`static String` | `SWRLABOX_IMPORT`
`static String` | `SWRLABOX_NAMESPACE`
`static String` | `SWRLABOX_PREFIX`
`static String` | `SWRLB_ALT_IMPORT`
`static String` | `SWRLB_IMPORT`
`static String` | `SWRLB_NAMESPACE`
`static String` | `SWRLB_PREFIX`
`static String` | `SWRLM_IMPORT`
`static String` | `SWRLM_NAMESPACE`
`static String` | `SWRLM_PREFIX`
`static String` | `SWRLRDF`
`static String` | `SWRLRDF_IMPORT`
`static String` | `SWRLRDF_NAMESPACE`
`static String` | `SWRLTBOX_IMPORT`
`static String` | `SWRLTBOX_NAMESPACE`
`static String` | `SWRLTBOX_PREFIX`
`static String` | `SWRLTEMPORAL_IMPORT`
`static String` | `SWRLTEMPORAL_NAMESPACE`
`static String` | `SWRLTEMPORAL_PREFIX`
`static String` | `SWRLX_IMPORT`
`static String` | `SWRLX_NAMESPACE`
`static String` | `SWRLX_PREFIX`
`static String` | `SWRLXML_IMPORT`
`static String` | `SWRLXML_NAMESPACE`
`static String` | `SWRLXML_PREFIX`

Fields inherited from interface edu.stanford.smi.protegex.owl.model.OWLNames
`CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED, CLASSIFICATION_STATUS_CONSISTENT_AND_UNCHANGED, CLASSIFICATION_STATUS_INCONSISTENT, CLASSIFICATION_STATUS_UNDEFINED, OWL_NAMESPACE, OWL_PREFIX`

Field Detail

### SWRL_IMPORT

    static final String SWRL_IMPORT

See Also:
  Constant Field Values

### SWRLB_IMPORT

    static final String SWRLB_IMPORT

See Also:
  Constant Field Values

### SWRLA_IMPORT

    static final String SWRLA_IMPORT

See Also:
  Constant Field Values

### SWRLX_IMPORT

    static final String SWRLX_IMPORT

See Also:
  Constant Field Values

### SWRLM_IMPORT

    static final String SWRLM_IMPORT

See Also:
  Constant Field Values

### SWRLTBOX_IMPORT

    static final String SWRLTBOX_IMPORT

See Also:
  Constant Field Values

### SWRLABOX_IMPORT

    static final String SWRLABOX_IMPORT

See Also:
  Constant Field Values

### SWRLRDF_IMPORT

    static final String SWRLRDF_IMPORT

See Also:
  Constant Field Values

### SWRLTEMPORAL_IMPORT

    static final String SWRLTEMPORAL_IMPORT

See Also:
  Constant Field Values

### SWRLXML_IMPORT

    static final String SWRLXML_IMPORT

See Also:
  Constant Field Values

### SQWRL_IMPORT

    static final String SQWRL_IMPORT

See Also:
  Constant Field Values

### SWRL_ALT_IMPORT

    static final String SWRL_ALT_IMPORT

See Also:
  Constant Field Values

### SWRLB_ALT_IMPORT

    static final String SWRLB_ALT_IMPORT

See Also:
  Constant Field Values

### SWRL_NAMESPACE

    static final String SWRL_NAMESPACE

See Also:
  Constant Field Values

### SWRLB_NAMESPACE

    static final String SWRLB_NAMESPACE

See Also:
  Constant Field Values

### SWRLA_NAMESPACE

    static final String SWRLA_NAMESPACE

See Also:
  Constant Field Values

### SWRLX_NAMESPACE

    static final String SWRLX_NAMESPACE

See Also:
  Constant Field Values

### SWRLM_NAMESPACE

    static final String SWRLM_NAMESPACE

See Also:
  Constant Field Values

### SWRLTBOX_NAMESPACE

    static final String SWRLTBOX_NAMESPACE

See Also:
  Constant Field Values

### SWRLABOX_NAMESPACE

    static final String SWRLABOX_NAMESPACE

See Also:
  Constant Field Values

### SWRLRDF_NAMESPACE

    static final String SWRLRDF_NAMESPACE

See Also:
  Constant Field Values

### SWRLTEMPORAL_NAMESPACE

    static final String SWRLTEMPORAL_NAMESPACE

See Also:
  Constant Field Values

### SWRLXML_NAMESPACE

    static final String SWRLXML_NAMESPACE

See Also:
  Constant Field Values

### SQWRL_NAMESPACE

    static final String SQWRL_NAMESPACE

See Also:
  Constant Field Values

### SWRL_PREFIX

    static final String SWRL_PREFIX

See Also:
  Constant Field Values

### SWRLB_PREFIX

    static final String SWRLB_PREFIX

See Also:
  Constant Field Values

### SWRLA_PREFIX

    static final String SWRLA_PREFIX

See Also:
  Constant Field Values

### SWRLX_PREFIX

    static final String SWRLX_PREFIX

See Also:
  Constant Field Values

### SWRLM_PREFIX

    static final String SWRLM_PREFIX

See Also:
  Constant Field Values

### SWRLTBOX_PREFIX

    static final String SWRLTBOX_PREFIX

See Also:
  Constant Field Values

### SWRLABOX_PREFIX

    static final String SWRLABOX_PREFIX

See Also:
  Constant Field Values

### SWRLRDF

    static final String SWRLRDF

See Also:
  Constant Field Values

### SWRLTEMPORAL_PREFIX

    static final String SWRLTEMPORAL_PREFIX

See Also:
  Constant Field Values

### SWRLXML_PREFIX

    static final String SWRLXML_PREFIX

See Also:
  Constant Field Values

### SQWRL_PREFIX

    static final String SQWRL_PREFIX

See Also:
  Constant Field Values

### EXCLUDE_STANDARD_IMPORTS

    static final String EXCLUDE_STANDARD_IMPORTS

See Also:
  Constant Field Values

### DEFAULT_RULE_ENGINE

    static final String DEFAULT_RULE_ENGINE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.